#!/bin/sh

PYTHON=python3

absp() {
    $PYTHON -c "import os; print(os.path.abspath('$1'))"
}

usage() {
    echo "usage: sh plot.sh [-txt] <data file> <conf file> [<output dir>]"
}

plot() {
    local txt=$1 cffile=$2 dfile=$3 outdir=$4

    if [ $txt -eq 1 ]; then
        $PYTHON src/idatplot/plot.py -txt $cffile $dfile $outdir
    else
        $PYTHON src/idatplot/plot.py $cffile $dfile $outdir
    fi
}

PLOTDIR=$(dirname $(absp $0))
OCDIR=$(pwd)


if [ $# -lt 2  -o $# -gt 4 ]; then
    usage
    exit 1
fi

txt=0
if [ $1 = '-txt' ]; then
    shift
    txt=1
fi

dfile=$(absp $1)
cfpath=$(absp $2)
if [ $# -eq 3 ]; then
    outdir=$(absp $3)
else
    outdir=$(dirname $dfile)
fi

if [ ! -e $cfpath -a ! -d $cfpath -o ! -e $dfile -o ! -d $outdir ]; then
    echo "some of the paths you entered don't exists:"
    echo "  $([ -e $cfpath ] && echo 'ok' || echo 'nok'): $cfpath"
    echo "  $([ -e $dfile ] && echo 'ok' || echo 'nok'): $dfile"
    echo "  $([ -d $outdir ] && echo 'ok' || echo 'nok'): $outdir"

    # usage
    exit 1
fi

export PYTHONPATH=.:src:$PYTHONPATH

cd $PLOTDIR

if [ -d $cfpath ]; then
    for cffile in $(ls $cfpath/*.yaml); do
        echo "\n\nprocessing $(basename $cffile)..."
        echo "--------------------\n"

        plot $txt $cffile $dfile $outdir
    done
else
    plot $txt $cfpath $dfile $outdir
fi


cd $OCDIR

