#!/bin/ksh

alias local=typeset
PYTHON=python3

function absp {
    $PYTHON -c "import os; print(os.path.abspath('$1'))"
}

if [ $# -ne 3 ]; then
    echo "usage: ksh extract.ksh <hdf5 file> <conf file> <output dir>"
    exit 1
fi

local cffile=$(absp $2) h5file=$(absp $1) outdir=$(absp $3)

if [[ ! -a $cffile || ! -a $h5file || ! -d $outdir ]]; then
    echo "some of your parameters don't exists"
    exit 1
fi

export PYTHONPATH=.:../..:$PYTHONPATH

$PYTHON ../../idatplot/extract/extract.py $cffile $h5file $outdir
