# installation directory

# BASE_DIRECTORY = "/home/nmoreau/Developpement/git_obs/ism/web_extractor"
BASE_DIRECTORY = None

if not BASE_DIRECTORY:
    import os

    BASE_DIRECTORY, _ = os.path.split(os.path.dirname(os.path.realpath(__file__)))
    BASE_DIRECTORY = os.path.join(BASE_DIRECTORY, '..')
    BASE_DIRECTORY = os.path.join(BASE_DIRECTORY, '..')

# not to be edited
BASE_URL = "/extractor"
CLIENT_DIRECTORY = f"{BASE_DIRECTORY}/src/client"
SERVER_DIRECTORY = f"{BASE_DIRECTORY}/src/server"
DATA_DIRECTORY = f"{BASE_DIRECTORY}/material/data"
OUTPUT_DIRECTORY = f"{BASE_DIRECTORY}/material/output"
TASKS_OUTPUT_DIRECTORY = f"{SERVER_DIRECTORY}/tasks"
QNAMES_FILE_DIRECTORY = f"{BASE_DIRECTORY}/material/dictionaries"
QNAMES_FILE_SUFFIX = "-syn-dictionary.txt"
QNAMES_BINARY_SUFFIX = "-conceptsdb.pickle"
YAML_TEMPLATE_NAME = "idat_plot_template.yaml"

JOBS_DB = f"{SERVER_DIRECTORY}/jobs.db"

# time in seconds for which the script will wait to check for new jobs
JOB_CHECK_INTERVAL = 1

# time in seconds before purging generated files and database 
# ( session, completed / failed jobs )
DATA_PRESERVATION_DURATION = 1800
SERVER_PORT = 5000
PAGE_OPENING_TEMPO = 2

# hdf file authorized extensions
ALLOWED_EXTENSIONS = set(['hdf5'])

# number of suggested results for quantities autocomplete
SUGGEST_RESULT_LIMIT = 10

# possible values are :  local, web
SERVER_MODE='local'
